summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorDidier Raboud <didier@raboud.com>2010-07-19 17:56:00 +0200
committerDidier Raboud <didier@raboud.com>2010-07-19 18:29:38 +0200
commit38295d15d1691f3eb4dbbc1834ea2b67193a850a (patch)
tree2be64251d30099076ab85ece6fc14d153b4f1c36
parenta0d723cee6166e73b033c183065dbe493d6201f5 (diff)
Maintainer scripts cleanup thanks to lintian
-rw-r--r--debian/changelog3
-rw-r--r--debian/copyright4
-rw-r--r--debian/foomatic-filters.config6
-rw-r--r--debian/foomatic-filters.postinst6
-rw-r--r--debian/foomatic-filters.postrm4
5 files changed, 15 insertions, 8 deletions
diff --git a/debian/changelog b/debian/changelog
index d6a99ea..ff4766a 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -17,13 +17,14 @@ foomatic-filters (4.0.4-1) UNRELEASED; urgency=low
* s/cupsys/cups/ everywhere (Closes: #511748)
* Use db_settitle instead of deprecated db_title in the debconf templates,
thanks to Frans Pop. (Closes: #560316)
+ * Maintainer scripts cleanup thanks to lintian
* Add Vcs-* fields with new packaging repository.
* Update README.Debian.
* Bump Standards to 3.9.0.0
- Rework some Conflicts/Breaks
- Update debian/copyright
- -- Didier Raboud <didier@raboud.com> Mon, 19 Jul 2010 17:30:52 +0200
+ -- Didier Raboud <didier@raboud.com> Mon, 19 Jul 2010 17:54:07 +0200
foomatic-filters (4.0.4-0ubuntu1) lucid; urgency=low
diff --git a/debian/copyright b/debian/copyright
index be0d15c..8d1e077 100644
--- a/debian/copyright
+++ b/debian/copyright
@@ -21,8 +21,8 @@ Copyright:
You should have received a copy of the GNU Lesser General Public
License along with this library; if not, write to the
- Free Software Foundation, Inc., 59 Temple Place - Suite 330,
- Boston, MA 02111-1307, USA.
+ Free Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,
+ MA 02110-1301, USA.
On Debian systems, the complete text of the GNU General Public License
can be found in `/usr/share/common-licenses/GPL-2'.
diff --git a/debian/foomatic-filters.config b/debian/foomatic-filters.config
index 706ee41..9b300ed 100644
--- a/debian/foomatic-filters.config
+++ b/debian/foomatic-filters.config
@@ -1,8 +1,10 @@
-#!/bin/bash -e
+#!/bin/bash
#
# Debconf configuration script for the foomatic-filters package
#
+set -e
+
. /usr/share/debconf/confmodule
db_version 2.0
@@ -15,7 +17,7 @@ function parseconfig
{
if [ -e /usr/share/foomatic/parseconfig.pl ]; then
db_clear
- eval $(/usr/bin/perl /usr/share/foomatic/parseconfig.pl)
+ eval $(perl /usr/share/foomatic/parseconfig.pl)
db_set foomatic-filters/config_parsed true
else
db_set foomatic-filters/config_parsed false
diff --git a/debian/foomatic-filters.postinst b/debian/foomatic-filters.postinst
index bebb8ca..6a21e5f 100644
--- a/debian/foomatic-filters.postinst
+++ b/debian/foomatic-filters.postinst
@@ -1,4 +1,6 @@
-#!/bin/bash -e
+#!/bin/bash
+
+set -e
# Source debconf library.
. /usr/share/debconf/confmodule
@@ -10,7 +12,7 @@ readonly tempfile=`tempfile -pfoomatic-filters-`
function parseconfig
{
db_clear
- eval $(/usr/bin/perl /usr/share/foomatic/parseconfig.pl)
+ eval $(perl /usr/share/foomatic/parseconfig.pl)
}
db_get foomatic-filters/config_parsed
diff --git a/debian/foomatic-filters.postrm b/debian/foomatic-filters.postrm
index 25c5dbd..c6df7e3 100644
--- a/debian/foomatic-filters.postrm
+++ b/debian/foomatic-filters.postrm
@@ -1,4 +1,6 @@
-#!/bin/sh -e
+#!/bin/sh
+
+set -e
case "$1" in
purge)